KCALC(1)

NAME
kcalc - TDE Calculator

SYNOPSIS
kcalc [Qt-options] [TDE-options]

DESCRIPTION
KCalc is a scientific calculator for TDE. In addition to the usual functionality offered by most scientific calculators, KCalc offers a number of features:

-   KCalc provides trigonometric functions, logic operations, and it is able to do statistical calculations.

-   KCalc allows you to cut and paste numbers from/into its display.

-   KCalc features a results-stack which lets you conveniently recall previous results.

-   You can configure KCalc's display colors and font.

-   You can configure KCalc's precision and the number of digits after the period.

-   KCalc offers a great number of useful key-bindings, which make using KCalc without using a pointing device easy.

Hint: Pressing (and holding) the Ctrl-key, displays on every button, the corresponding key-binding.

OPTIONS

  Generic options:

--help
    Show help about options

--help-qt
    Show Qt specific options

--help-tde
    Show TDE specific options

--help-all
    Show all options

--author
    Show author information

-v, --version
    Show version information

--license
    Show license information

--  End of options

  Qt options:

  --display <displayname>
Use the X-server display 'displayname'

--session <sessionId>
    Restore the application for the given 'sessionId'

--cmap
    Causes the application to install a private color map on an 8-bit display

--ncols <count>
    Limits the number of colors allocated in the color cube on an 8-bit display, if the application is using the QApplication::ManyColor color specification

--nograb
    tells Qt to never grab the mouse or the keyboard

--dograb
    running under a debugger can cause an implicit -nograb, use -dograb to override

--sync
    switches to synchronous mode for debugging

--fn, --font <fontname>
    defines the application font

--bg, --background <color>
    sets the default background color and an application palette (light and dark shades are calculated)

--fg, --foreground <color>
    sets the default foreground color

--btn, --button <color>
    sets the default button color

--name <name>
    sets the application name

--title <title>
    sets the application title (caption)

--visual TrueColor
    forces the application to use a TrueColor visual on an 8-bit display

--inputstyle <inputstyle>
    sets XIM (X Input Method) input style. Possible values are onthespot, overthespot, offthespot and root

--im <XIM server>
    set XIM server

--noxim
    disable XIM

--reverse
    mirrors the whole layout of widgets

  TDE options:

  --caption <caption>
Use 'caption' as name in the titlebar

--icon <icon>
    Use 'icon' as the application icon

--miniicon <icon>
    Use 'icon' as the icon in the titlebar

--config <filename>
    Use alternative configuration file

--dcopserver <server>
    Use the DCOP Server specified by 'server'

--nocrashhandler
    Disable crash handler, to get core dumps

--waitforwm
    Waits for a WM_NET compatible windowmanager

--style <style>
    sets the application GUI style

--geometry <geometry>
    sets the client geometry of the main widget - see man X for the argument format

FILES

~/.trinity/share/config/kcalcrc
    kcalc configuration file

SEE ALSO
Full user documentation is available through the TDE Help Center. You can also enter the URL help:/kcalc/ directly into konqueror or you can run khelpcenter help:/kcalc/ from the command-line.

AUTHORS
Klaus Niederkruger <kniederk@math.uni-koeln.de>
Bernd Johannes Wuebben <wuebben@kde.org>
Evan Teran <eteran@alum.rit.edu>
Espen Sand <espen@kde.org>
Chris Howells <howells@kde.org>
Aaron J. Seigo <aseigo@olympusproject.org>
Charles Samuels <charles@altair.dhs.org>
René Mérou <ochominutosdearco@yahoo.es>
Please use http://bugs.trinitydesktop.org to report bugs; do not mail the authors directly.

This manual page was written by Holger Hartmann <Holger_Hartmann@gmx.de> for the Debian Project, but may be used by others. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.